Subject: Re: Interrupt disabling design

From: Pantelis Antoniou <[email-masked]>
Date: Thu, 07 Apr 2005 13:19:22 +0300

Garcia Jérémie wrote:
> Hi everybody, 
> I'm trying to emulate a VxWorks-designed application under a linux montavista environment.
> In this application I have critical portion of code which need the interrupts disabled as below:

[snip]
> 
> Is it possible to do that? Cause If I do a "cli()" call, I disable interrupts --> so, will the "sti()" call work?
> If yes, it allows me to make my own system call to use them from the user space but I'm not really sure...
> 
> Tks a lot for your help 
> _______________________________________________

Although it might be possible to something like that with root permissions,
  I'd recommend against it.

If you want to run code with disabled interrupts, move that code in a kernel
module and disable/enable interrupts in the kernel
(still bad but acceptable).

IMHO of course.

Regards

Pantelis